%global commit c03649276ee47caa9bc7beb68f6c800b8c97651a
%global shortc %(c=%{commit}; echo ${c:0:7})
%global date %(date +%%Y%%m%%d)
%undefine _disable_source_fetch

Name:           neovim-gtk-git
Version:        0.3.0
Release:        %{date}.git%{shortc}%{dist}
Summary:        GTK ui for neovim written in rust using gtk-rs bindings. With ligatures support.

License:        GPL-3
URL:            https://github.com/daa84/neovim-gtk
Source0:        https://github.com/daa84/neovim-gtk/archive/%{commit}.tar.gz

BuildRequires:  rustc
BuildRequires:  cargo
BuildRequires:  pkgconfig(gtk+-3.0)
Requires:       neovim

%description
GTK ui for neovim written in rust using gtk-rs bindings. With ligatures
support. Compiled from latest GIT version

%global debug_package %{nil}

%prep
%autosetup -n neovim-gtk-%{commit}

%build

%install
%make_install PREFIX=/usr
rm -rf %{buildroot}/%{_datadir}/fonts %{buildroot}/%{_prefix}/.crates.toml %{buildroot}/%{_prefix}/.crates2.json %{buildroot}/lib/.buildid

%files
%{_bindir}/nvim-gtk
%{_datadir}/*

%license LICENSE

%changelog
* Tue Mar 09 2021 Ivan Molodetskikh <yalterz@gmail.com>
- New git snapshot - c03649276ee47caa9bc7beb68f6c800b8c97651a

* Sun Sep 06 2020 Ivan Molodetskikh <yalterz@gmail.com>
- New git snapshot - 925382a6a1d1215452b46937bb2884d20325a8d8

* Tue Apr 14 2020 Ivan Molodetskikh <yalterz@gmail.com>
- Changed the version field structure
- Changed the download to use the specified commit
- Removed cargo build in %%build as it's done in %%install and I'm not sure how
  to make it not rebuild in %%install
- Added a new file to remove in %%install
- New git snapshot - 0af8952171c5375a4435cf3790e08c3b9ee29e8d

* Mon May 13 2019 Lyude Paul <lyude@redhat.com>
- New git snapshot - 1b89b265e4c2bc5d2ee2bd7dd96961a0ca6ebb53

* Fri May 03 2019 Lyude Paul <lyude@redhat.com>
- New git snapshot - 3c5d6e87532f94eded95d067ac3632113847c9c5

* Sun Apr 28 2019 Lyude Paul <lyude@redhat.com>
- New git snapshot - 2fef84fb8bf445253554d4aae385be53dfcb86ef

* Wed Apr 24 2019 Lyude Paul <lyude@redhat.com>
- New git snapshot - 6a7804c6e797142724548b09109cf2883cd6f08c

* Mon Apr 22 2019 Lyude Paul <lyude@redhat.com>
- New git snapshot - e9655f0f067a18d3877e064202fe30ea8ff3c316

* Mon Apr 15 2019 Lyude Paul <lyude@redhat.com>
- New git snapshot - 8d26c90e0931a74fc9f83bdefb356005607f1393

* Tue Mar 19 2019 Lyude Paul <lyude@redhat.com>
- New git snapshot - c8b11cb8a3c4aaeef802fc796c5f8f476abc3306

* Tue Feb 19 2019 Lyude Paul <lyude@redhat.com>
- New git snapshot - c075c3232fd7cc3c8c95f5a5f93d7273cb661398

* Tue Feb 19 2019 Lyude Paul <lyude@redhat.com>
- New git snapshot - c075c3232fd7cc3c8c95f5a5f93d7273cb661398

* Wed Nov 28 2018 Paul Ogris <paul@tsahyt.com> - 0.2.0-20181007git828a78b
- Bump to new commit
- Adjust build process

* Sun Oct 7 2018 Paul Ogris <paul@tsahyt.com> - 0.2.0-20181007gita8f7241
- Bump to new commit

* Sun Sep 9 2018 Paul Ogris <paul@tsahyt.com> - 0.2.0-20180909gitb275041
- Bump to new commit

* Mon Aug 6 2018 Paul Ogris <paul@tsahyt.com> - 0.2.0-20180806git3ea809e
- Bump to new commit

* Sun Jul 15 2018 Paul Ogris <paul@tsahyt.com> - 0.2.0-20181507git01506a6
- Revert to older commit due to some bugs
- Fix some problems with the specfile
- Switch to snapshot versioning scheme
- Respect version in .toml file

* Fri Jul 13 2018 Paul Ogris <paul@tsahyt.com> - 0.1.1-4
- Update to commit 2ebac955566b15ce2cdf41e6da9e2a50bea8659e 

* Thu Jun 28 2018 Paul Ogris <paul@tsahyt.com> - 0.1.1-3
- Update to commit 01506a6217274668bbcbf2ff8c8b671e23a1206d 
- Adds transparency commands

* Thu Jun 28 2018 Paul Ogris <paul@tsahyt.com> - 0.1.1-2
- Fix desktop file

* Wed Jun 27 2018 Paul Ogris <paul@tsahyt.com> - 0.1.1-1
- Initial package
